# YandexRssItemWorker Class Reference
[Feed's parsers]

Inheritance diagram for YandexRssItemWorker:
[legend]

List of all members.

## Public Member Functions

| makeItems (SimpleXMLElement $xmlFeed)
| toXml (FeedItem $item)

## Static Public Member Functions

static | me ()

## Detailed Description

Definition at line 15 of file YandexRssItemWorker.class.php.

## Member Function Documentation

YandexRssItemWorker::makeItems | ( | SimpleXMLElement $ | xmlFeed | ) |

Implements FeedItemWorker.

Definition at line 25 of file YandexRssItemWorker.class.php.

References Timestamp::create(), FeedItemContent::create(), YandexRssFeedItem::create(), YandexRssFeedFormat::YANDEX_NAMESPACE_PREFIX, and YandexRssFeedFormat::YANDEX_NAMESPACE_URI.

Here is the call graph for this function:

static YandexRssItemWorker::me | ( |  | ) | `[static]`

Returns:
  YandexRssItemWorker

Implements Instantiatable.

Definition at line 20 of file YandexRssItemWorker.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

YandexRssItemWorker::toXml | ( | FeedItem $ | item | ) |

Implements FeedItemWorker.

Definition at line 71 of file YandexRssItemWorker.class.php.

References FeedItem::getCategory(), FeedItem::getId(), FeedItem::getLink(), FeedItem::getPublished(), FeedItem::getSummary(), and FeedItem::getTitle().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Markup/Feed/YandexRssItemWorker.class.php